package accepttest

import (
	"context"
	"os"
	"testing"

	"dagger.io/dagger"
	daggerhelm "git.front.kjuulh.io/kjuulh/dagger-helm"
	"github.com/stretchr/testify/assert"
)

func TestCompile(t *testing.T) {
	t.Parallel()

	ctx := context.Background()
	client, err := dagger.Connect(ctx, dagger.WithLogOutput(os.Stderr))
	assert.NoError(t, err)

	t.Run("can generate nginx helm chart", func(t *testing.T) {
		ctx := context.Background()

		_, err := daggerhelm.Compile(ctx, client, "test_data/nginx", "test_data/nginx.values.yaml")
		assert.NoError(t, err)
	})
}
